Name: sweets-sugar-toolkit
Version: 0.94.1

Release: 6.1
Group: Development/Tools/Other
Summary: A set of widgets to build HIG compliant activities
License: LGPLv2+
Url: http://git.sugarlabs.org/projects/sugar-toolkit

Source: sugar-toolkit-0.94.1.tar.gz
Source1: sweet.tar.gz



Requires: alsa-lib
Requires: dbus-python
Requires: gnome-python2-gconf
Requires: gtk2
Requires: hippo-canvas-python
Requires: gnome-python2-rsvg
Requires: pygtk2
Requires: python
Requires: python-cjson
Requires: python-dateutil
Requires: sweets-sugar-base
Requires: unzip
Requires: libX11
Requires: libFS
Requires: libICE
Requires: libSM
Requires: libXScrnSaver
Requires: libXau
Requires: libXcomposite
Requires: libXcursor
Requires: libXdamage
Requires: libXdmcp
Requires: libXext
Requires: libXfixes
Requires: libXfont
Requires: libXft
Requires: libXi
Requires: libXinerama
Requires: libXmu
Requires: libXp
Requires: libXpm
Requires: libXrandr
Requires: libXrender
Requires: libXres
Requires: libXt
Requires: libXtst
Requires: libXv
Requires: libXvMC
Requires: libXxf86dga
Requires: libXxf86vm
Requires: libdmx
Requires: libdrm
Requires: libfontenc
Requires: libxkbfile
BuildRequires: alsa-lib-devel
BuildRequires: gcc
BuildRequires: gnome-common
BuildRequires: gtk2-devel
BuildRequires: intltool >= 0.33
BuildRequires: libtool
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: pygtk2-devel
BuildRequires: python-devel
BuildRequires: libX11-devel
BuildRequires: libFS-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXfont-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXmu-devel
BuildRequires: libXp-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libXt-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libXvMC-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libdmx-devel
BuildRequires: libdrm-devel
BuildRequires: libfontenc-devel
BuildRequires: libxkbfile-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
A set of widgets to build HIG compliant activities

%prep
%setup -n sugar-toolkit-0.94.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/sugar-toolkit am_cv_python_pythondir=/opt/sweets/sugar-toolkit/src am_cv_python_pyexecdir=/opt/sweets/sugar-toolkit/src CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/sugar-toolkit '' '' > sweets-sugar-toolkit.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/sugar-toolkit/sweets.recipe >> sweets-sugar-toolkit.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/sugar-toolkit '' '' >> sweets-sugar-toolkit.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-toolkit
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-toolkit/pydirs)
echo /opt/sweets/sugar-toolkit/pydirs >> sweets-sugar-toolkit.files

%post
test -e /opt/sweets/sugar-toolkit/pydirs && for i in `cat /opt/sweets/sugar-toolkit/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-toolkit/pydirs && for i in `cat /opt/sweets/sugar-toolkit/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-sugar-toolkit.files

%changelog
